View Issue Details

IDProjectCategoryView StatusLast Update
0003071Ham Radio DeluxeBugpublic2019-11-08 02:31
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.183 
Target VersionFixed in Version6.7.0.244 
Summary0003071: Command Tester warning message should be avoidable
DescriptionThe command tester persistently displays a warning message about the dangers of the command tester. The message should be avoidable for users who've already seen it.
Steps To Reproduce1) Fire up Rig control. Don't connect to a radio
2) Use the "Command Tester" command in the "Tools" menu
3) A message about "this is dangerous" is displayed

4) Close the command tester dialog
5) Use the "Command Tester" command in the "Tools" menu to again open the dialog
6) The warning message is displayed again.

BUG#1) It's pretty obnoxious to get the message every single time. WE should allow the user to defeat the warning.

TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2019-07-10 14:19

administrator   ~0008213

Fixed in the 6.7 branch with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5065

K7ZCZ

2019-07-17 04:01

administrator   ~0008244

Forgot to persist the changed option, so that's fixed here:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5076

g3ucq

2019-09-03 07:40

viewer   ~0008502

OK for me

WA9PIE

2019-09-07 08:38

administrator   ~0008515

Validated

Issue History

Date Modified Username Field Change
2019-01-17 17:17 K7ZCZ New Issue
2019-07-10 14:19 K7ZCZ Note Added: 0008213
2019-07-10 14:19 K7ZCZ Assigned To => K7ZCZ
2019-07-10 14:19 K7ZCZ Status new => resolved
2019-07-10 14:19 K7ZCZ Resolution open => fixed
2019-07-17 04:01 K7ZCZ Note Added: 0008244
2019-08-30 13:31 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-03 07:40 g3ucq Note Added: 0008502
2019-09-07 08:38 WA9PIE Status resolved => closed
2019-09-07 08:38 WA9PIE Steps to Reproduce Updated View Revisions
2019-09-07 08:38 WA9PIE Testing Not Started => Beta Successful
2019-09-07 08:38 WA9PIE Note Added: 0008515
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe